Subject: Re: [bug#45584] [PATCH 0/2] system: image: Fix root fs corruption from certain u-boot.

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 10 Jan 2021 16:16:36 +0100

Hello,

> Sorry for the late response. I just got a chance to test on a pinebook-pro, and
> was able to use a generated image on it. Screen wouldn't turn on but I got a
> functioning shell on serial; I was still just using mainline
> linux-libre-arm64-generic so I don't think that's a bootloader problem.

Many thanks for testing. I pushed the patch I proposed.

> Over the past few days I've been playing with u-boot, and I think that the
> install offset may be configurable, with the current offset just being used for
> compatability with Rockchip's proprietary miniloader. I could make a patchset
> to move u-boot up and test it out on the pinebook-pro and rockpro64, if that
> would be a better solution?

Sure that could be nice and in that case we could revert the 9MiB offset
change in gnu/system/image/pinebook-pro.scm.

I also found that janneke used some kernel-arguments that could maybe
help you in this blog post:
https://joyofsource.com/guix-system-on-the-pinebook-pro.html.

Closing this one,

Thanks,

Mathieu